p <- ggplot(datitosEOBS,aes(x=Longitude,y=Latitude))  + geom_contour_fill(aes(z=Z),size=100)  + borders(colour = "grey22",size=0.3) + facet_wrap(~CP,nrow=1)+
  scale_fill_gradientn(name=expression("mm"),limits=c(0,20),
                       colours=brewer.pal(11,"YlGnBu"),aesthetics=c("fill"),
                       na.value = "white") + ggtitle("ERA5") +
  coord_quickmap(xlim=c(min(datitosEOBS$Longitude),max(datitosEOBS$Longitude)),ylim=c(min(datitosEOBS$Latitude),max(datitosEOBS$Latitude)),expand = F) +
  xlab("Longitude") + ylab("Latitude") + theme_bw() #+#+ ggtitle("Patterns") +
 # geom_contour2(aes(z=Z),  color="black", na.rm = T, binwidth=)+
  #geom_text_contour(aes(z=Z),stroke = 0.10, rotate = T, check_overlap = T, binwidth=50,size=2.5)
ggsave(p,filename=paste("/esarchive/scratch/molmo/output/SpatialPatterns_Ward_PR_",dom,"_","ERA5","_1x1_",k,"reordered_CPs.png",sep=""),device="png",
       dpi=600,width=2*k,height = 3)

p <- ggplot(datitosEOBS,aes(x=Longitude,y=Latitude))  + geom_contour_fill(aes(z=Z),size=100)  + borders(colour = "grey22",size=0.3) + facet_wrap(~CP,nrow=1)+
  scale_fill_gradientn(name=expression("K"),limits=c(265,294),
                       colours=rev(brewer.pal(11,"Spectral")),aesthetics=c("fill"),
                       na.value = "white") + ggtitle("ERA5") +
  coord_quickmap(xlim=c(min(datitosEOBS$Longitude),max(datitosEOBS$Longitude)),ylim=c(min(datitosEOBS$Latitude),max(datitosEOBS$Latitude)),expand = F) +
  xlab("Longitude") + ylab("Latitude") + theme_bw() #+#+ ggtitle("Patterns") +
 # geom_contour2(aes(z=Z),  color="black", na.rm = T, binwidth=50)+
  #geom_text_contour(aes(z=Z),stroke = 0.10, rotate = T, check_overlap = T, binwidth=50,size=2.5)
ggsave(p,filename=paste("/esarchive/scratch/molmo/output/SpatialPatterns_Ward_TN_",dom,"_","ERA5","_1x1_",k,"reordered_CPs.png",sep=""),device="png",
       dpi=600,width=2*k,height = 3)

p <- ggplot(datitosEOBS,aes(x=Longitude,y=Latitude))  + geom_contour_fill(aes(z=Z),size=100)  + borders(colour = "grey22",size=0.3) + facet_wrap(~CP,nrow=1)+
  scale_fill_gradientn(name=expression("K"),limits=c(273,306),
                       colours=rev(brewer.pal(11,"Spectral")),aesthetics=c("fill"),
                       na.value = "white") + ggtitle("ERA5") +
  coord_quickmap(xlim=c(min(datitosEOBS$Longitude),max(datitosEOBS$Longitude)),ylim=c(min(datitosEOBS$Latitude),max(datitosEOBS$Latitude)),expand = F) +
  xlab("Longitude") + ylab("Latitude") + theme_bw() #+#+ ggtitle("Patterns") +
# geom_contour2(aes(z=Z),  color="black", na.rm = T, binwidth=50)+
#geom_text_contour(aes(z=Z),stroke = 0.10, rotate = T, check_overlap = T, binwidth=50,size=2.5)
ggsave(p,filename=paste("/esarchive/scratch/molmo/output/SpatialPatterns_Ward_TX_",dom,"_","ERA5","_1x1_",k,"reordered_CPs.png",sep=""),device="png",
       dpi=600,width=2*k,height = 3)
